Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleHypertext

All Superinterfaces:
  AccessibleText

All Known Implementing Classes:
  JEditorPane.JEditorPaneAccessibleHypertextSupport

    public interface AccessibleHypertext

extends AccessibleText

The AccessibleHypertext class is the base class for all classes that present hypertext information on the display. This class provides the standard mechanism for an assistive technology to access that text via its content, attributes, and spatial location. It also provides standard mechanisms for manipulating hyperlinks. Applications can determine if an object supports the AccessibleHypertext interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleText()` method of AccessibleContext. If the return value is a class which extends AccessibleHypertext, then that object supports AccessibleHypertext.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleText`, `AccessibleContext.getAccessibleText()`

Field Summary

Fields inherited from interface javax.accessibility.AccessibleText
`CHARACTER, SENTENCE, WORD`

Method Summary
`AccessibleHyperlink` | `getLink(int linkIndex)` Returns the nth Link of this Hypertext document.
`int` | `getLinkCount()` Returns the number of links within this hypertext document.
`int` | `getLinkIndex(int charIndex)` Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.

Methods inherited from interface javax.accessibility.AccessibleText
`getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart`

Method Detail

### getLinkCount

    int getLinkCount()

  Returns the number of links within this hypertext document.

  Returns:
    number of links in this hypertext doc.

### getLink

    AccessibleHyperlink getLink(int linkIndex)

  Returns the nth Link of this Hypertext document.

  Parameters:
    `linkIndex` - within the links of this Hypertext
  Returns:
    Link object encapsulating the nth link(s)

### getLinkIndex

    int getLinkIndex(int charIndex)

  Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.

  Parameters:
    `charIndex` - index within the text
  Returns:
    index into the set of hyperlinks for this hypertext doc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.